'use strict'

var assert = require('assert');
var co = require('co');
var BemPayMent = require('./');
var BemMysqlCrud = require('bem-crud-core-mysql');
var app = '_test';
var table = 'payment_form';

describe('BemPayMent',function(){
  describe('add',function(){
    it('支付订单',function(done){
      co(function*(){
        let payment = yield BemPayMent.get({
          host: "localhost",
          db: app,
          table: table,
          auth: {
            "username":"root",
            "password":"bemcloud123456"
          }
        });
        yield payment.submit({
          payId:'20160330160000068'
        });
      }).then(done,done)
    })
    
    it('取消支付订单',function(done){
      co(function*(){
        let payment = yield BemPayMent.get({
          host: "localhost",
          db: app,
          table: table,
          auth: {
            "username":"root",
            "password":"bemcloud123456"
          }
        });

        yield payment.create({
          payId:'20160330160000071',
          amounts:200
        })
        let crud = yield BemMysqlCrud.get({
          host: "localhost",
          db: app,
          table: table,
          auth: {
            "username":"root",
            "password":"bemcloud123456"
          }
        });
        let result = yield crud.read({
          query:{
            payId:'20160330160000071'
          }
        });
        result = result[0];
        assert.equal(result.status,0);
        yield payment.cancel({
          payId:'20160330160000071'
        });
        let result1 = yield crud.read({
          query:{
            payId:'20160330160000071'
          }
        });
        result1 = result1[0];
        assert.equal(result1.status,2);

      }).then(done,done)
    })
  })
})
